hello all,
I'm running bt-5 r1 KDE-32bit on my system with a ati 5850HD graphics card on it, and am running into the same error for nearly every program I try to install on my system (everything from virtualbox to pyrit...same error) . Namely:


Error! Bad return status for module build on kernel: 2.6.39.4 (i686)
Consult the make.log in the build directory
/var/lib/dkms/fglrx/8.723.1/build/ for more information.
dpkg: error processing fglrx (--configure):
subprocess installed post-installation script returned error exit status 10
dpkg: dependency problems prevent configuration of fglrx-amdcccle:
fglrx-amdcccle depends on fglrx; however:
Package fglrx is not configured yet.
dpkg: error processing fglrx-amdcccle (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of fglrx-dev:
fglrx-dev depends on fglrx; however:
Package fglrx is not configured yet.
No apport report written because the error message indicates its a followup error from a previous failure.
dpkg: error processing fglrx-dev (--configure):
dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
Processing triggers for python-gmenu ...
Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.39.4
Processing triggers for python-support ...
Errors were encountered while processing:
virtualbox-ose-dkms
fglrx
fglrx-amdcccle
fglrx-dev
E: Sub-process /usr/bin/dpkg returned an error code (1)



After looking online for a solution it looks like it isn't that uncommon of an issue for people with ati cards, but all of their solutions stated that fglrx wasn't installed to the system and went on describing how to install...
I've tried uninstalling and reinstalling several times, using different methods. So far I've reinstalled in the terminal as well as with jockey, synaptic, and ubuntu software center. After all installs I go to terminal and configure by
aticonfig --initial --input=/etc/X11/xorg.conf
and then check to see if the fglrx file was made by
aticonfig --initial=check
getting a return of
Check: Found fglrx section.
so its clearly there. But I still get the errors! As a double check I go into my hardware info and look at the drivers installed. Sure enough, there's a fglrx driver there....so what now?
Is there more needed to configure the fglrx drivers? Any help with this is appreciated! Thanks in advance!